#!/bin/bash

. $(dirname $0)/config.sh


#set -x
#trap read debug

#
#
# FORMAT / SPL / U-BOOT / PARTITION
#
#

umount ${card}*
sleep 4s
umount ${card}*


dd if=/dev/zero of=${card} bs=1M count=1
dd if=u-boot/u-boot-sunxi-with-spl.bin of=${card} bs=1024 seek=8

cat <<EOT | sfdisk --in-order -uM ${card}
8,16,c
EOT

sleep 6s

mkfs.vfat ${card}${p}1


#
#
# BOOT
#
#

mount ${card}${p}1 /mnt/
cp kernel/uImage /mnt/
cp script.bin /mnt/
cp u-boot/u-boot-nand.bin /mnt

cat <<EOT > /mnt/boot.cmd
setenv bootargs console=ttyS0,115200 root=/dev/nandb verify=no rootwait panic=10
fatload mmc 0 0x43000000 script.bin || ext2load mmc 0 0x43000000 boot/script.bin
fatload mmc 0 0x48000000 uImage || ext2load mmc 0 0x48000000 uImage boot/uImage
bootm 0x48000000
EOT
mkimage -C none -A arm -T script -d /mnt/boot.cmd /mnt/boot.scr


umount /mnt/

sync

